Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
    Active
    Search
      Government-issued storms by year, basin, and government IdgetGovernment-issued storms by yeargetGovernment-issued storms by year and basingetStatuses for government-issued stormsgetStatuses for government-issued storms by basinget
    Position
    Forecast
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Search


Government-issued storms by year, basin, and government Id

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/{year}/{basin}/{govId}

Returns government-issued tropical cyclone for a specific year, basin and government id.

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Government-issued storms by year, basin, and government Id › path Parameters

year
​integer · int32 · required

A numerical value indicating the four digit year.

Example: 2024
basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL
govId
​integer · int32 · required

A numerical ID that matches the depression ID.

Example: 2

Government-issued storms by year, basin, and government Id › query Parameters

details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json
language
​string
Default: en-us

Government-issued storms by year, basin, and government Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Government-issued storms by year, basin, and government Id › Responses

OK

API.Tropical.Gov.Entities.OpenAPI.Storm
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

Automated Tropical Cyclone Forecasting (ATCF) storm ID. May be NULL. If NULL, this parameter will not be displayed.

​

An object containing information about the total length of time the storm lasted. Only available after the storm has ended.

​

An object containing information about the storm's maximum strength.

ImpactPolygonTypes
​array | null

The list of impact polygon types.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/{year}/{basin}/{govId}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/:year/:basin/:govId \ --header 'Authorization: <api-key>'
Example Responses
{ "accuId": 0, "atcfId": 0, "duration": {}, "peakIntensity": {}, "ImpactPolygonTypes": [ "string" ], "accuBaseLink": "accuBaseLink", "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "atcfBaseLink": "atcfBaseLink" }
json
application/json

Government-issued storms by year

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/{year}

Returns all government-issued tropical cyclones for a specific year

Government-issued storms by year › path Parameters

year
​integer · int32 · required

A numerical value indicating the four digit year.

Example: 2024

Government-issued storms by year › query Parameters

details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us

Government-issued storms by year › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Government-issued storms by year › Responses

OK

​API.Tropical.Gov.Entities.OpenAPI.Storm[]
API.Tropical.Gov.Entities.OpenAPI.Storm
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

Automated Tropical Cyclone Forecasting (ATCF) storm ID. May be NULL. If NULL, this parameter will not be displayed.

​

An object containing information about the total length of time the storm lasted. Only available after the storm has ended.

​

An object containing information about the storm's maximum strength.

ImpactPolygonTypes
​array | null

The list of impact polygon types.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/{year}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/:year \ --header 'Authorization: <api-key>'
Example Responses
[ { "accuId": 0, "atcfId": 0, "duration": {}, "peakIntensity": {}, "ImpactPolygonTypes": [ "string" ], "accuBaseLink": "accuBaseLink", "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "atcfBaseLink": "atcfBaseLink" } ]
json
application/json

Government-issued storms by year and basin

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/{year}/{basin}

Returns all government-issued tropical cyclones for a specific year and basin.

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Government-issued storms by year and basin › path Parameters

year
​integer · int32 · required

A numerical value indicating the four digit year.

Example: 2024
basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL

Government-issued storms by year and basin › query Parameters

details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us

Government-issued storms by year and basin › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Government-issued storms by year and basin › Responses

OK

​API.Tropical.Gov.Entities.OpenAPI.Storm[]
API.Tropical.Gov.Entities.OpenAPI.Storm
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

Automated Tropical Cyclone Forecasting (ATCF) storm ID. May be NULL. If NULL, this parameter will not be displayed.

​

An object containing information about the total length of time the storm lasted. Only available after the storm has ended.

​

An object containing information about the storm's maximum strength.

ImpactPolygonTypes
​array | null

The list of impact polygon types.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/{year}/{basin}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/:year/:basin \ --header 'Authorization: <api-key>'
Example Responses
[ { "accuId": 0, "atcfId": 0, "duration": {}, "peakIntensity": {}, "ImpactPolygonTypes": [ "string" ], "accuBaseLink": "accuBaseLink", "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "atcfBaseLink": "atcfBaseLink" } ]
json
application/json

Statuses for government-issued storms

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/statuses

Returns a list of all possible tropical cyclone status categories and their corresponding wind speed definitions.

Statuses for government-issued storms › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

Statuses for government-issued storms › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Statuses for government-issued storms › Responses

OK

​API.Tropical.Gov.Entities.OpenAPI.StormStatus[]
API.Tropical.Gov.Entities.OpenAPI.StormStatus
basin
​string | null

Basin identifier (NP, SP, NI, SI, AL, EP).

status
​string | null

Storm status, in English, including category values of hurricanes and tropical cyclones. Some examples are: Hurricane – Category 3, Tropical Depression, Tropical Cyclone - Category 1, Depression, and Typhoon.

​

An object containing the Maximum and Minimum sustained wind associated with the storm.

GET/tropical/v1/gov/storms/statuses
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/statuses \ --header 'Authorization: <api-key>'
Example Responses
[ { "basin": "basin", "status": "status", "sustainedWinds": {} } ]
json
application/json

Statuses for government-issued storms by basin

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/statuses/{basin}

Returns a list of all possible tropical cyclone status categories and their corresponding wind speed definitions for a specific basin.

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Statuses for government-issued storms by basin › path Parameters

basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL

Statuses for government-issued storms by basin › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

Statuses for government-issued storms by basin › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Statuses for government-issued storms by basin › Responses

OK

​API.Tropical.Gov.Entities.OpenAPI.StormStatus[]
API.Tropical.Gov.Entities.OpenAPI.StormStatus
basin
​string | null

Basin identifier (NP, SP, NI, SI, AL, EP).

status
​string | null

Storm status, in English, including category values of hurricanes and tropical cyclones. Some examples are: Hurricane – Category 3, Tropical Depression, Tropical Cyclone - Category 1, Depression, and Typhoon.

​

An object containing the Maximum and Minimum sustained wind associated with the storm.

GET/tropical/v1/gov/storms/statuses/{basin}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/statuses/:basin \ --header 'Authorization: <api-key>'
Example Responses
[ { "basin": "basin", "status": "status", "sustainedWinds": {} } ]
json
application/json

ActivePosition